curl --request GET \
--url https://api.fabric.inc/v3/product-attributes \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "64c1557de1f95e3214660ceb",
"name": "serialNumber",
"description": "Serial number which starts with the 1 and keeps incrementing 10 for the subsequent call",
"type": "SERIAL",
"target": "PRODUCT",
"isLocalizable": false,
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"formula": "",
"startWith": 1,
"increment": 10
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557ce1f95e3214660ce6",
"name": "isLive",
"description": "Boolean attribute to capture if the product is live.",
"type": "BOOLEAN",
"target": "PRODUCT",
"isLocalizable": false,
"validation": {
"isMandatory": true
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557be1f95e3214660ce1",
"name": "Date Attribute",
"description": "Attribute to capture date",
"type": "DATETIME",
"target": "PRODUCT",
"isLocalizable": false,
"validation": {
"isMandatory": false,
"dateFormat": "MM/DD/YYYY",
"formula": ""
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557be1f95e3214660c12",
"name": "percentage",
"description": "Attribute to capture percentage",
"type": "NUMBER",
"isLocalizable": false,
"target": "PRODUCT",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"formula": "",
"isDecimal": true,
"max": 100,
"min": 0
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557be1f95e3214660cdc",
"name": "Weight in pounds",
"description": "Weight of the parcel in pounds",
"type": "NUMBER",
"isLocalizable": false,
"target": "PRODUCT",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"formula": "(async ()=> parseFloat(await attribute('64c15579e1f95e3214660cce')) * 2.2)()",
"isDecimal": true
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c15579e1f95e3214660cce",
"name": "Weight",
"description": "Weight of the parcel",
"type": "NUMBER",
"isLocalizable": false,
"target": "PRODUCT",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"formula": "",
"isDecimal": true
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557ae1f95e3214660cd9",
"name": "Age",
"description": "Attribute to capture age",
"type": "NUMBER",
"isLocalizable": false,
"target": "PRODUCT",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"formula": "",
"isDecimal": false
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c15579e1f95e3214660abc",
"name": "MultiOption",
"description": "Color Attribute",
"isLocalizable": false,
"target": "PRODUCT",
"type": "OPTIONS",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"subType": "MULTIPLE",
"acceptedValues": [
"Colour",
"Flavour"
]
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c15579e1f95e3214660cce",
"name": "MultiOption",
"description": "Color Attribute",
"isLocalizable": true,
"target": "PRODUCT",
"type": "OPTIONS",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"subType": "MULTIPLE",
"localizedAcceptedValues": {
"en-GB": [
"Colour",
"Flavour"
],
"en-US": [
"Color",
"Flavor"
]
}
},
"localizedProperties": {
"en-GB": {
"name": "Multi-Option"
}
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557ae1f95e3214660dd3",
"name": "Color",
"description": "Color Attribute",
"isLocalizable": true,
"target": "PRODUCT",
"type": "TEXT",
"validation": {
"isMandatory": false,
"subType": "TEXT_AREA",
"formula": "",
"isManualOverwrite": false
},
"localizedProperties": {
"en-GB": {
"name": "Colour"
}
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c15577e1f95e3214660cbe",
"name": "Small Text example",
"isLocalizable": false,
"target": "PRODUCT",
"type": "TEXT",
"validation": {
"isMandatory": false,
"subType": "SMALL_TEXT",
"isManualOverwrite": false,
"formula": ""
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
}
],
"offset": 0,
"limit": 10,
"count": 10
}Retrieves all available attributes that can be assigned to a specified target—either item or category. You can refine results using offset and limit query parameters. If not specified, the response defaults to a maximum of 10 attributes.
curl --request GET \
--url https://api.fabric.inc/v3/product-attributes \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "64c1557de1f95e3214660ceb",
"name": "serialNumber",
"description": "Serial number which starts with the 1 and keeps incrementing 10 for the subsequent call",
"type": "SERIAL",
"target": "PRODUCT",
"isLocalizable": false,
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"formula": "",
"startWith": 1,
"increment": 10
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557ce1f95e3214660ce6",
"name": "isLive",
"description": "Boolean attribute to capture if the product is live.",
"type": "BOOLEAN",
"target": "PRODUCT",
"isLocalizable": false,
"validation": {
"isMandatory": true
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557be1f95e3214660ce1",
"name": "Date Attribute",
"description": "Attribute to capture date",
"type": "DATETIME",
"target": "PRODUCT",
"isLocalizable": false,
"validation": {
"isMandatory": false,
"dateFormat": "MM/DD/YYYY",
"formula": ""
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557be1f95e3214660c12",
"name": "percentage",
"description": "Attribute to capture percentage",
"type": "NUMBER",
"isLocalizable": false,
"target": "PRODUCT",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"formula": "",
"isDecimal": true,
"max": 100,
"min": 0
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557be1f95e3214660cdc",
"name": "Weight in pounds",
"description": "Weight of the parcel in pounds",
"type": "NUMBER",
"isLocalizable": false,
"target": "PRODUCT",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"formula": "(async ()=> parseFloat(await attribute('64c15579e1f95e3214660cce')) * 2.2)()",
"isDecimal": true
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c15579e1f95e3214660cce",
"name": "Weight",
"description": "Weight of the parcel",
"type": "NUMBER",
"isLocalizable": false,
"target": "PRODUCT",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"formula": "",
"isDecimal": true
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557ae1f95e3214660cd9",
"name": "Age",
"description": "Attribute to capture age",
"type": "NUMBER",
"isLocalizable": false,
"target": "PRODUCT",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"formula": "",
"isDecimal": false
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c15579e1f95e3214660abc",
"name": "MultiOption",
"description": "Color Attribute",
"isLocalizable": false,
"target": "PRODUCT",
"type": "OPTIONS",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"subType": "MULTIPLE",
"acceptedValues": [
"Colour",
"Flavour"
]
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c15579e1f95e3214660cce",
"name": "MultiOption",
"description": "Color Attribute",
"isLocalizable": true,
"target": "PRODUCT",
"type": "OPTIONS",
"validation": {
"isMandatory": false,
"isManualOverwrite": false,
"subType": "MULTIPLE",
"localizedAcceptedValues": {
"en-GB": [
"Colour",
"Flavour"
],
"en-US": [
"Color",
"Flavor"
]
}
},
"localizedProperties": {
"en-GB": {
"name": "Multi-Option"
}
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c1557ae1f95e3214660dd3",
"name": "Color",
"description": "Color Attribute",
"isLocalizable": true,
"target": "PRODUCT",
"type": "TEXT",
"validation": {
"isMandatory": false,
"subType": "TEXT_AREA",
"formula": "",
"isManualOverwrite": false
},
"localizedProperties": {
"en-GB": {
"name": "Colour"
}
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
},
{
"id": "64c15577e1f95e3214660cbe",
"name": "Small Text example",
"isLocalizable": false,
"target": "PRODUCT",
"type": "TEXT",
"validation": {
"isMandatory": false,
"subType": "SMALL_TEXT",
"isManualOverwrite": false,
"formula": ""
},
"updatedAt": "2023-07-26T17:18:47.162Z",
"createdAt": "2023-07-26T17:18:47.162Z",
"updatedBy": "test@email.com"
}
],
"offset": 0,
"limit": 10,
"count": 10
}S2S access token (JWT) from fabric Identity service (during Login)
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
"517fa9dfd42d8b00g1o3k312"
Unique request ID
"263e731c-45c8-11ed-b878-0242ac120002"
Comma-separated locale codes of product. You'll get a 400 error if the locales aren't supported. Refer to standard locales in https://www.rfc-editor.org/rfc/rfc5646.
"fr-CA, en-US"
Maximum number of records per page
20
Number of records to skip before returning records. For example, offset=20, limit=10 returns records 21-30.
2
Distinguishes between Product and Category attributes
PRODUCT, CATEGORY OK
Attribute details
Show child attributes
Number of records to skip before returning records. For example, offset=20, limit=10 returns records 21-30.
5
Maximum number of records per page
10
Total number of records
100
Was this page helpful?